uniform sampler2D texture;
uniform float brightness, contrast;

void main(void) {
  vec2 xy = gl_TexCoord[0].xy;
	vec4 col =  texture2D(texture,xy);
	col = ((col-vec4(0.5))*vec4(contrast))+vec4(0.5) ;
 	gl_FragColor = col+vec4(brightness);
}
